EasyApache 4 Apr 22 Release

We are happy to announce that cPanel, L.L.C. has released an update for EasyApache 4! Take a look at some highlights below, and then join us on D

EasyApache 4 May 6 Release
EasyApache 2018-07-25 Security Release
EasyApache 4 Nov 26 Release

We are happy to announce that cPanel, L.L.C. has released an update for EasyApache 4! Take a look at some highlights below, and then join us on Discord or Reddit to talk about this update and much more.

April 22

EasyApache 4

ea-apache2
     • EA-9010: Patch apache 2.4.43 to fix ssl stapling memory leak

ea-apache24-mod_lsapi
     • EA-8300: remove Provides from SPEC file to allow reinstalls

ea-cpanel-tools
     • EA-8960: Update end-of-life PHP phrase

ea-nodejs10
     • EA-9004: Update ea-nodejs10 from v10.20.0 to v10.20.1

ea-php74
ea-php74-meta
     • EA-9007: Update ea-php74 from v7.4.2 to v7.4.5
     • CVE-2020-7067: OOB Read in urldecode()

scl-php72
scl-php72-meta
     • EA-9015: Update scl-php72 from v7.2.29 to v7.2.30
     • CVE-2020-7067: OOB Read in urldecode()

scl-php73
scl-php73-meta
     • EA-9009: Update scl-php73 from v7.3.16 to v7.3.17
     • CVE-2020-7067: OOB Read in urldecode()

scl-ruby24-rubygem-rack
     • EA-9011: Update scl-ruby24-rubygem-rack from v2.0.1 to v2.2.2

ea-openssl11
     • EA-9017: Update ea-openssl11 from v1.1.1f to v1.1.1g
     • CVE-2020-1967: TLS 1.3 handshake may crash due to a NULL pointer dereference

ea-tomcat85
     • EA-9008: Update ea-tomcat85 from v8.5.53 to v8.5.54

This release includes a security patch that has been issued a fix for a CVE (Common Vulnerabilities and Exposures), the details of which are included below.

SUMMARY
cPanel, L.L.C. has updated RPMs for EasyApache 4 with PHP versions 7.2.30, 7.3.17, and 7.4.5 and OpenSSL version 1.1.1g. This release addresses vulnerabilities related to CVE-2020-7067 and CVE-2020-1967. We strongly encourage all PHP 7.2 users to upgrade to version 7.2.30, all PHP 7.3 users to upgrade to version 7.3.17, all PHP 7.4 users to upgrade to version 7.4.5, and all OpenSSL users to upgrade to version 1.1.1g.

AFFECTED VERSIONS
All versions of PHP 7.2 through 7.2.30
All versions of PHP 7.3 through 7.3.16
All versions of PHP 7.4 through 7.4.4
All versions of OpenSSL through 1.1.1f

SECURITY RATING
The National Vulnerability Database (NIST) has given the following severity ratings to these CVEs:

CVE-2020-7067 – MEDIUM
PHP 7.2.30
Fixed bug related to CVE-2020-7067

PHP 7.3.17
Fixed bug related to CVE-2020-7067

PHP 7.4.5
Fixed bug related to CVE-2020-7067

CVE-2020-1967 – MEDIUM
OpenSSL 1.1.1g
Fixed bug related to CVE-2020-1967

SOLUTION
cPanel, L.L.C. has released updated RPMs for EasyApache 4 on April 22, 2020, with updated versions of PHP version 7.2.30, 7.3.17, and 7.4.5, and OpenSSL version 1.1.1g. Unless you have enabled automatic RPM updates in your cron, update your system with either yum update or WHM’s Run System Update interface.

REFERENCES
https://nvd.nist.gov/vuln/detail/CVE-2020-7067
https://nvd.nist.gov/vuln/detail/CVE-2020-1967
https://www.php.net/ChangeLog-7.php
https://www.openssl.org/news/openssl-1.1.1-notes.html

For a PGP-signed message, please see EA4-2020-4-22-CVE.signed.txt

More Information

Information about all releases this year can be found in the 2020 EasyApache 4 Changelog and the EasyApache 4 Release Notes. To ensure that you receive up-to-date product news from cPanel, we encourage you to subscribe to the Product and Security updates mailing list on our website. You can also sign up for our EasyApache Development and EasyApache Production lists to see when updates are pushed for our RPMs, letting you know ahead of time what will be updated in each EasyApache release.

مدیریت سرور پشتیبانی و مشاوره – ثبت دامنه